# MarketWatch financials scraper

Scrapes any company's financials from [MarketWatch.com](https://www.marketwatch.com/), which includes income statement, balance sheet, and cash flow statement.

Asynchronous HTTP requests are currently used by default.

### Dependencies

- [Python](https://www.python.org/) 3.8+

Should run on most Linux/Windows systems. Tested on Arch and Windows 10.

### Building

Clone this repo, install `build` via pip, then run `python -m build` 
from the repository's root directory. This should produce a `dist/` 
subdirectory with a wheel (build) and archive (source) distribution.
The resulting `whl`-file can be installed via `pip install path/dist/***.whl`.

### Running

```shell
$ python -m mwfin -h
```
gives a description of available CLI parameters and their usage. For example, running

```shell
$ python -m mwfin -f output.json -Q AAPL
```
will retrieve the most current available quarterly data from all three financial statements Apple Inc. has published and save it in JSON format to `output.json`.
